export declare type GrowthPolicy = (minCapacity: number) => number;
export declare type Allocator = (minByteLength: number) => ArrayBuffer;
export declare type Deallocator = (buffer: ArrayBuffer) => void;
export declare type Reallocator = (oldBuffer: ArrayBuffer, newByteLength: number, allocator: Allocator, deallocator: Deallocator) => ArrayBuffer;
export declare type TypedArray = ArrayBufferView & ArrayLike<number>;
export declare type TypedArrayConstructor<T extends TypedArray> = {
    new (buffer: ArrayBuffer, byteOffset?: number, length?: number): T;
    BYTES_PER_ELEMENT: number;
};
export declare type DynamicTypedArrayOptions = {
    growthPolicy?: GrowthPolicy;
    allocator?: Allocator;
    deallocator?: Deallocator;
    reallocator?: Reallocator;
};
