import { TypedArrayConstructor } from './types';
export declare class ArrayIterator<T> implements Iterator<T> {
    private _array;
    private _start;
    private _end;
    private _result;
    constructor(array: ArrayLike<T>, start: number, end: number);
    next(): IteratorResult<T>;
}
export declare function isTypedArrayConstructor<T>(obj: any): obj is TypedArrayConstructor<T>;
export declare function isNumber(obj: any): obj is number;
export declare function isFunction(obj: any): obj is Function;
export declare function isArrayLike<T>(obj: any): obj is ArrayLike<T>;
export declare function isIterable<T>(obj: any): obj is Iterable<T>;
