export class ArrayIterator {
    constructor(array, start, end) {
        this._array = array;
        this._start = start;
        this._end = end;
        this._result = { value: array[start], done: false };
    }
    next() {
        if (this._start < this._end) {
            this._result.value = this._array[this._start++];
            this._result.done = false;
        }
        else {
            this._result.value = undefined;
            this._result.done = true;
        }
        return this._result;
    }
}
export function isTypedArrayConstructor(obj) {
    switch (obj) {
        case Int8Array:
        case Uint8Array:
        case Uint8ClampedArray:
        case Int16Array:
        case Uint16Array:
        case Int32Array:
        case Uint32Array:
        case Float32Array:
        case Float64Array:
            return true;
    }
    return false;
}
export function isNumber(obj) {
    return typeof obj === 'number';
}
export function isFunction(obj) {
    return typeof obj === 'function';
}
export function isArrayLike(obj) {
    return typeof obj !== 'function' && typeof obj.length === 'number';
}
export function isIterable(obj) {
    return Symbol.iterator in obj && typeof obj[Symbol.iterator] === 'function';
}
//# sourceMappingURL=utils.js.map